public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/extlib/
Date: Mon, 14 Sep 2015 12:26:58 +0000 (UTC)	[thread overview]
Message-ID: <1442233550.ed7d35517fbcefc6c85b214b3a1f9ffba49ada1c.aballier@gentoo> (raw)

commit:     ed7d35517fbcefc6c85b214b3a1f9ffba49ada1c
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 14 12:25:50 2015 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Mon Sep 14 12:25:50 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed7d3551

dev-ml/extlib: bump to 1.7.0 and switch to github.

Package-Manager: portage-2.2.20.1

 dev-ml/extlib/Manifest            |  1 +
 dev-ml/extlib/extlib-1.7.0.ebuild | 48 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-ml/extlib/Manifest b/dev-ml/extlib/Manifest
index 1167dda..59e64dc 100644
--- a/dev-ml/extlib/Manifest
+++ b/dev-ml/extlib/Manifest
@@ -1,2 +1,3 @@
 DIST extlib-1.5.4.tar.gz 71003 SHA256 df142ba5a04ccbd4b239a124bd0f634989781b4da63e517c05a036fd419cd9cd SHA512 f70ea54c50499dd8be47b1ee001119a6b6b3c8b29995a2bfb93181dc86790727122d330e67147d00d1c8aff02c263dc1ea954ac2f2ad34f76f5e45f5779c2ea7 WHIRLPOOL 499291050623f27e001ef92f9eea94bdaf1abe5fbd91c6bcad445e747e56f670c3250140c24268b08227dace6da99745407b02cbb7f877687b912dc5d85005e6
 DIST extlib-1.6.1.tar.gz 72780 SHA256 88d4b3638cb4da4e04d81ba157e7235e744373c5784cf4b906570d07b890aeca SHA512 9473f474bee99248bdc5e3c56741a191a8f0b89dbf750a4d9e92692b7871c997c584a2dc7e57f55b36b5ddcaf7a11d45b490b117ac15806e35813b82b696f541 WHIRLPOOL 0dc27bad6223de1a1d75684f9caba8708e6c6a80f046c4604fe4bd9da5f860b17be180e3a8d0cdc817e1d99fd6c9feec62a2696b5d78e5706e89ea02460d2d40
+DIST extlib-1.7.0.tar.gz 83327 SHA256 3c9fd159a4ec401559905f96e578317a4933452ced9a7f3a4f89f9c7130d9a63 SHA512 3f268e22f7f415e81bbc07c28561fc067ca87748fcdcb6515691d1270858f452ec2ba0eb7b80ca29f06b40f01c1e89a6b71380c7d9de37c60d2bb86093cb8be2 WHIRLPOOL e993986e09a39844b828531e3381954582323c6806ddd48b39c56f511e27a9b6d5f3f9605e02b5dc0698041cd909d4450e28780303ca57884a78eebbd5c37f6d

diff --git a/dev-ml/extlib/extlib-1.7.0.ebuild b/dev-ml/extlib/extlib-1.7.0.ebuild
new file mode 100644
index 0000000..6e51bac
--- /dev/null
+++ b/dev-ml/extlib/extlib-1.7.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit findlib eutils
+
+DESCRIPTION="Standard library extensions for O'Caml"
+HOMEPAGE="https://github.com/ygrek/ocaml-extlib"
+SRC_URI="https://github.com/ygrek/ocaml-extlib/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="LGPL-2.1"
+DEPEND="
+	>=dev-lang/ocaml-3.10.2:=[ocamlopt?]
+	|| ( dev-ml/camlp4:= <dev-lang/ocaml-4.02.0 )
+"
+RDEPEND="${DEPEND}"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="doc +ocamlopt"
+S="${WORKDIR}/ocaml-${P}"
+
+src_compile() {
+	cd src
+	emake -j1 all
+	if use ocamlopt; then
+		emake opt cmxs
+	fi
+
+	if use doc; then
+		emake doc
+	fi
+}
+
+src_test() {
+	emake -j1 test
+}
+
+src_install () {
+	findlib_src_install
+
+	# install documentation
+	dodoc README
+
+	if use doc; then
+		dohtml src/doc/*
+	fi
+}


             reply	other threads:[~2015-09-14 12:27 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-09-14 12:26 Alexis Ballier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-09-19 19:06 [gentoo-commits] repo/gentoo:master commit in: dev-ml/extlib/ Alexis Ballier
2016-06-29 19:19 Michał Górny
2016-11-15  9:36 Alexis Ballier
2017-01-24 11:07 Alexis Ballier
2017-02-16 13:25 Agostino Sarubbo
2017-02-16 17:26 Agostino Sarubbo
2017-02-23 11:57 Michael Weber
2017-02-23 11:57 Michael Weber
2017-02-23 14:24 Alexis Ballier
2017-04-01 12:24 Alexis Ballier
2017-04-05 17:50 Markus Meier
2019-12-29 11:44 Mikle Kolyada
2020-10-22 13:32 Sam James
2020-10-24  0:38 Sam James
2020-10-28  3:36 Sam James
2020-12-02 17:22 Aaron Bauman
2020-12-03  2:01 Thomas Deutschmann
2020-12-13 12:03 Sergei Trofimovich
2020-12-17 12:08 Sam James
2020-12-17 14:50 Aaron Bauman
2021-01-24 22:40 Sam James
2021-02-10 16:33 Sam James
2021-02-12 22:20 Sam James
2021-02-16 12:34 Sam James
2021-09-07  0:09 Sam James
2021-10-14  9:44 Sam James
2022-12-16 11:06 Maciej Barć
2023-03-16 23:16 Sam James
2023-03-16 23:16 Sam James
2023-03-17  2:29 Sam James
2023-03-17  2:29 Sam James
2023-03-17  8:52 Arthur Zamarin
2024-10-16  6:39 Alfredo Tupone
2024-11-13 18:53 Alfredo Tupone
2024-12-29 10:54 Sam James
2024-12-29 10:54 Sam James
2025-03-16 12:30 Alfredo Tupone

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1442233550.ed7d35517fbcefc6c85b214b3a1f9ffba49ada1c.aballier@gentoo \
    --to=aballier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox